- MongoDB C Driver 1.9.3-dev »
- API Reference »
- mongoc_uri_t

# mongoc_uri_new()

## Synopsis

    mongoc_uri_t *
    mongoc_uri_new (const char *uri_string) BSON_GNUC_WARN_UNUSED_RESULT;

## Parameters

- `uri_string`: A string containing a URI.

## Description

Calls mongoc_uri_new_with_error().

## Returns

A newly allocated mongoc_uri_t if successful. Otherwise `NULL`, using MONGOC_WARNING on error.

Warning

Failure to handle the result of this function is a programming error.

Created using Sphinx 1.6.6, based on Sphinx Readable Theme.